<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Pesquisa">
                    <p:panelGrid columns="2" >                   
                        <p:outputLabel value="Código:" for="codigo" />
                        <p:inputText id="codigo" value="#{pesquisaAlunoBean.codigo}" size="2"/>
                        <p:outputLabel value="Nome:" for="nome" />
                        <p:inputText id="nome" value="#{pesquisaAlunoBean.nome}"/>
                        <p:commandButton ajax="false"  icon="ui-icon-zoomin" actionListener="#{pesquisaAlunoBean.pesquisar()}" value="Pesquisar"   style="font-family: monospace"/>
                    </p:panelGrid>
                </p:fieldset>   

                <hr/>

                <p:fieldset legend="Pesquisa de Alunos">
                    <p:dataTable var="aluno" value="#{pesquisaAlunoBean.lista}" id="tabela">
                        <p:column headerText="Código">
                            <h:outputText value="#{aluno.id}" />
                        </p:column>

                        <p:column headerText="Nome">
                            <h:outputText value="#{aluno.nome}" />
                        </p:column>
                        <p:column>
                            <p:commandLink update="edicao" process="@this"
                                           oncomplete="PF('dialog').show();">
                                <h:graphicImage library="img" 
                                                name="user.png"/>
                                <f:setPropertyActionListener 
                                    target="#{pesquisaAlunoBean.alunoSelecionado}" 
                                    value="#{aluno}" />                                
                            </p:commandLink>                           
                        </p:column>
                        <p:column>
                            <p:column>
                                <p:commandLink process="@this">

                                    <h:graphicImage library="img" 
                                                    name="delete.png"/>                                    
                                </p:commandLink>


                            </p:column>
                        </p:column>

                    </p:dataTable>
                </p:fieldset>


                <p:dialog header="Edição de Aluno" widgetVar="dialog"
                          modal="true" style="font-family: monospace">

                    <h:form prependId="false">

                        <p:fieldset legend="Dados">

                            <p:panelGrid  id="edicao" >

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Código:" for="id" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="id" value="#{pesquisaAlunoBean.alunoSelecionado.id}" readonly="true" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column >
                                        <p:outputLabel value="Nome:" for="nomeForm" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="nomeForm" value="#{pesquisaAlunoBean.alunoSelecionado.nome}"  readonly="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="CPF:" for="cpf" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="cpf" value="#{pesquisaAlunoBean.alunoSelecionado.cpf}" required="true" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Endereço:" for="endereco" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="endereco" value="#{pesquisaAlunoBean.alunoSelecionado.endereco}" required="true" />
                                    </p:column>

                                    <p:column>
                                        <p:outputLabel value="Nº" for="numero" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="numero" value="#{pesquisaAlunoBean.alunoSelecionado.numero}" required="true" size="2" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Cidade:" for="cidade" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="cidade" value="#{pesquisaAlunoBean.alunoSelecionado.cidade}" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="UF:" for="uf" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="uf" value="#{pesquisaAlunoBean.alunoSelecionado.estado}" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Complemento:" for="complemento" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="complemento" value="#{pesquisaAlunoBean.alunoSelecionado.complemento}" readonly="true" size="100" />
                                    </p:column>

                                </p:row>
                            </p:panelGrid>
                        </p:fieldset>


                        <p:commandButton value="Salvar" ajax="false" actionListener="#{pesquisaAlunoBean.salvar()}" icon="ui-icon-circle-check"/>

                    </h:form>

                </p:dialog>

                <p:dialog header="Deletar" width="dialogo" modal="true">
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                        <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    </p:confirmDialog>
                </p:dialog>



            </ui:define>

        </ui:composition>

    </body>
</html>
